Module ij
Package ij.io

# Class TextEncoder

java.lang.Object
ij.io.TextEncoder

public class TextEncoder extends Object
Saves an image described by an ImageProcessor object as a tab-delimited text file.

## Constructor Summary

Constructors
Constructor
Description
`TextEncoder(ImageProcessor ip, Calibration cal, int precision)`
Constructs a TextEncoder from an ImageProcessor and optional Calibration.

## Method Summary

Modifier and Type
Method
Description
`void`
`write(DataOutputStream out)`
Saves the image as a tab-delimited text file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextEncoder

public TextEncoder(ImageProcessor ip, Calibration cal, int precision)
Constructs a TextEncoder from an ImageProcessor and optional Calibration.

## Method Details

### write

public void write(DataOutputStream out) throws IOException
Saves the image as a tab-delimited text file.

Throws:
  `IOException`